pub const SERVER_INFO: &'static str = r#"luciders - Lucide SVG icons server <https://lucide.dev/>

GET /info - Get server information
GET /icons/[icon].svg - Get an icon in SVG format (equivalent to fetching them directly from Lucide)
GET /icons/[icon].png - Get an icon rendered in PNG format
    Query parameters:
        -- note: Make sure to URL encode the query parameters: particularly special characters such as # (e.g. %23). The server only accepts a small subset of characters deemed necessary for the query parameters.
        -- note: You may choose to use either colour or color (Commonwealth or US spelling) in the query parameters. Both are accepted. Specifying both will result in undefined behaviour, so don't do that!
            scale - integer - Scale the icon (default: 1, min: 1, max: 100)
            padding - integer - Add padding (px) around the icon (default: 0, min: 0, max: 100)
            background - hex - Set the background color in hex WITHOUT the hashtag (e.g. FFFFFF) (default: transparent)
            stroke_colour - string - Set the stroke color for the SVG icon, any CSS color WITH the hashtag (default: currentColor)
            stroke - string - Alias for stroke_colour. Don't use if you are using stroke_colour, undefined behaviour. (default: currentColor)
            discord_compatibility - boolean - Set padding to 8px for Discord compatibility. Typically for use in embed author icons as these have a circle clip applied by Discord. Overrides padding if set. (default: false)
            backwards_compatibility - boolean - Sets padding to 8px, and scale to 3x for backwards compatibility with older versions of Lucide server (so they are 80x80 again). (default: false)
            cache_key - string - Technically this can have any name. The server does not interpret this at all. Useful for cache busting. (default: none)
        Example:
            /icons/apple.png?scale=2&background=FF0000&discord_compatibility


*** mantained with ❤️ by Compositr (Jim) ***
"#;
